Skip to content

STOCK SCREENING REPORT

Request

Get the screening results of Shariah-compliant stocks with comprehensive details. You can query by stock ticker.

Request body:

ParameterValueDescription
stock“AAPL”Stock symbol

Response body:

ParameterTypeDescription
companyNamestringCompany name
symbolstringStock symbol
lastUpdatestringLast update date in ISO 8601 Date/Time Format (YYYY-MM-DD).
shariahComplianceStatusstringShariah-compliance Status (Halal, Not Halal, Doubtful, Not Covered)
complianceRankingnumberCompliance Rank (0-5)
revenueBreakdownobjectCombined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue to be Shariah compliant based on AAOIFI stock screening methodology.
interestBearingSecuritiesAndAssetsobjectInterest-Bearing Securities and Assets should be less than 30% of Trailing 36-month Average Market Capitalization.
interestBearingDebtobjectInterest-Bearing Debt should be less than 30% of Trailing 36-Month Average Market Capitalization.
reportDatedateReporting dates of the company in ISO 8601 Date/Time Format (YYYY-MM-DD).
reportSourcestringURL link to the company report.
totalRevenuenumberTotal Revenue of the company
trailing36monAvrCapnumberTrailing 36-month Average Market Capitalization of the company.
totalAssetsnumberAmount of Total Assets (in units)
accountsReceivablenumberAmount of Accounts Receivable (in units)
reportedYearnumberReporting year
reportedQuarterstringReporting period (FIRST_QUARTER, SECOND_QUARTER, THIRD_QUARTER, ANNUAL)
mainCurrencystringReporting currency. Currency used in company filings
unitsnumberNumber expression (e.g. in million)
revenueBreakdownDetailobjectRevenue breakdown JSON object that contains line items with compliance type, ratio, amount in ones and comments.
interestBearingSecuritiesAndAssetsDetailobjectInterest-bearing securities and assets JSON object that contains line items with compliance type, ratio, amount in ones and comments.
interestIncomeDetailobjectInterest Income JSON object that contains line items with compliance type, ratio, amount in ones and comments.
interestBearingDebtDetailobjectInterest-bearing debt JSON object that contains line items with compliance type, ratio, amount in ones and comments.
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog=="
Example:c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog==
Bodyapplication/jsonrequired
stockstringrequired

Stock symbol

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/stocks/report' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: c9mqFfsl9D8uyCbtigL1WOp+/eJTQf7C1kiACqzNEOEMjcVi4vDwNdEOvSFjDH7k44eSuS1uV9GPV37bvHzTog==' \
--data '{
    "stock":"AAPL"
}'

Responses

Dynamic stock screening report for the requested ticker

Bodyapplication/json
companyNamestring
symbolstring
lastUpdatestring
shariahComplianceStatusstring(ComplianceStatus)

Shariah-compliance status

complianceRankingnumber

Compliance Rank (0-5)

revenueBreakdownobject(RevenueBreakdown)

Combined revenue from DOUBTFUL and NOT HALAL sources must be less than 5% of total revenue (AAOIFI).

interestBearingSecuritiesAndAssetsobject(RatioAmountStatus)
interestBearingDebtobject(RatioAmountStatus)
reportDatestring, (date)
reportSourcestring
totalRevenuenumber
trailing36monAvrCapnumber
totalAssetsnumber
accountsReceivablenumber
reportedYearnumber
reportedQuarterstring

FIRST_QUARTER, SECOND_QUARTER, THIRD_QUARTER, ANNUAL

reportPeriodnumber
mainCurrencystring
unitsnumber

Number expression (e.g. in million)

revenueBreakdownDetailobject(IncomeBreakdownDetail)
interestBearingSecuritiesAndAssetsDetailobject(InterestDetail)
interestIncomeDetailobject(IncomeBreakdownDetail)
interestBearingDebtDetailobject(InterestDetail)
Response
{ "companyName": "string", "symbol": "string", "lastUpdate": "string", "shariahComplianceStatus": "string", "complianceRanking": 0, "revenueBreakdown": { "halalRatio": 0, "notHalalRatio": 0, "doubtfulRatio": 0, "doubtfulRevenue": 0, "halalRevenue": 0, "notHalalRevenue": 0, "status": "string" }, "interestBearingSecuritiesAndAssets": { "amount": 0, "ratio": 0, "status": "string" }, "interestBearingDebt": { "amount": 0, "ratio": 0, "status": "string" }, "reportDate": "2019-08-24", "reportSource": "string", "totalRevenue": 0, "trailing36monAvrCap": 0, "totalAssets": 0, "accountsReceivable": 0, "reportedYear": 0, "reportedQuarter": "string", "reportPeriod": 0, "mainCurrency": "string", "units": 0, "revenueBreakdownDetail": { "name": "string", "amount": 0, "amountInOnes": 0, "percentage": 0, "halalAmount": 0, "halalAmountInOnes": 0, "halalPercentage": 0, "notHalalAmount": 0, "notHalalAmountInOnes": 0, "notHalalPercentage": 0, "questionableAmount": 0, "questionableAmountInOnes": 0, "questionablePercentage": 0, "items": [] }, "interestBearingSecuritiesAndAssetsDetail": { "totalAmount": 0, "totalRetio": 0, "totalNonIslamicAmount": 0, "longTermJson": {}, "shortTermJson": {} }, "interestIncomeDetail": { "name": "string", "amount": 0, "amountInOnes": 0, "percentage": 0, "halalAmount": 0, "halalAmountInOnes": 0, "halalPercentage": 0, "notHalalAmount": 0, "notHalalAmountInOnes": 0, "notHalalPercentage": 0, "questionableAmount": 0, "questionableAmountInOnes": 0, "questionablePercentage": 0, "items": [] }, "interestBearingDebtDetail": { "totalAmount": 0, "totalRetio": 0, "totalNonIslamicAmount": 0, "longTermJson": {}, "shortTermJson": {} } }